<!--
  ~ EVS Client is part of the Gazelle Test Bed
  ~ Copyright (C) 2006-2016 IHE
  ~ mailto :eric DOT poiseau AT inria DOT fr
  ~
  ~ See the NOTICE file distributed with this work for additional information
  ~ regarding copyright ownership.  This code is licensed
  ~ to you under the Apache License, Version 2.0 (the
  ~ "License"); you may not use this file except in compliance
  ~ with the License.  You may obtain a copy of the License at
  ~
  ~   http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing,
  ~ software distributed under the License is distributed on an
  ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~ KIND, either express or implied.  See the License for the
  ~ specific language governing permissions and limitations
  ~ under the License.
  -->

<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:param name="pageNameUrl" value="testWithProxy.seam"/>
    <ui:param name="pageNameTitle" value="#{messages['net.ihe.gazelle.evs.TestWithProxy']}"/>
    <ui:define name="body">
        <h:form id="globalForm" rendered="#{s:hasRole('admin_role')}">
            <s:div id="globalDiv">
                <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">


                    <ui:define name="panel_title">
                        <h:outputText value="#{messages['net.ihe.gazelle.TestAccessFromProxy']}"/>
                    </ui:define>
                    <s:div>
                        <div class="form-horizontal">
                            <s:decorate id="filenameDecorate" template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                <ui:param name="id" value="filenameId"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.evs.FilePath']}</ui:define>
                                <h:inputText id="filenameId" required="true" value="#{validationFromProxy.fileName}" size="80"  styleClass="form-control">
                                    <a4j:ajax  event="blur" render="filenameDecorate" execute="@this"/>
                                </h:inputText>
                            </s:decorate>
                            <s:decorate id="fileTypeDecoration" template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                <ui:param name="id" value="fileTypeId"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.evs.FileType']}</ui:define>
                                <h:inputText id="fileTypeId" required="true" value="#{validationFromProxy.fileType}"  styleClass="form-control" >
                                    <a4j:ajax  event="blur" render="fileTypeDecoration" execute="@this"/>
                                </h:inputText>
                            </s:decorate>
                        </div>
                    </s:div>
                    <ui:define name="panel_footer">
                        <em class="pull-right">* #{messages['net.ihe.gazelle.evsclient.Required']}</em>
                        <a4j:commandButton value="#{messages['net.ihe.gazelle.evs.Validate']}" styleClass="btn gzl-btn-blue"
                                           action="#{validationFromProxy.validate}"/>
                    </ui:define>
                </ui:decorate>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>
